DNF5-DOWNLOAD(8)

NUME
dnf5-download - comanda «download»

SINOPSIS

dnf5 download [opțiuni] <NPFB_specificație-pachet>...

DESCRIERE

Comanda download din DNF5 este utilizată pentru descărcarea pachetelor binare și sursă definite în argumentele NPFB_specificație-pachet în directorul de lucru curent.

OPȚIUNI

    --arch
        Limitează la pachetele de arhitecturi date. Această opțiune poate fi utilizată de mai multe ori.

    --resolve
        Rezolvă dependențele pachetelor specificate și le descarcă pe cele lipsă.

    --alldeps
        Pentru a fi utilizată împreună cu --resolve, aceasta descarcă toate dependențele, fără a le omite pe cele deja instalate.

    --from-repo=ID_DEPOZIT,...
        Pachetele (sau furnizorii acestora) specificate explicit în linia de comandă vor fi căutate numai în depozitele specificate.
        Aceste depozite sunt activate automat.
        Activarea și dezactivarea depozitelor se aplică în continuare. Dependențele acestor pachete vor fi rezolvate din orice depozit activat.

    --from-repo=FURNIZOR...
        Lista furnizorilor separați prin virgule sau spații. Sunt acceptate caracterele globale (de exemplu, --from-vendor='Fedora\ project, furnizorA, furnizorB*, furnizorC').
        Pachetele (sau furnizorii acestora) specificați în mod explicit în linia de comandă vor fi căutați numai la furnizorii specificați.
        Verificarea schimbării furnizorului este ocolită pentru aceste pachete.
        Furnizorul este ignorat sau politicile de schimbare a furnizorului (dacă allow_vendor_change=0) vor fi în continuare utilizate pentru pachetele care satisfac dependențele.

    --destdir=<ruta>
        Definește directorul utilizat pentru descărcarea pachetelor. Locația implicită este directorul de lucru curent.

    --skip-unavailable
        Permite omiterea pachetelor care nu sunt disponibile în depozite. Vor fi descărcate toate pachetele disponibile.

    --srpm
        Descarcă sursa rpm. Activează depozitele sursă ale tuturor depozitelor binare activate.

    --debuginfo
        Descarcă rpm-ul debuginfo. Activează depozitele debuginfo ale tuturor depozitelor binare activate.

    --debugsource
        Descarcă debugsource rpm. Activează depozitele debugsource ale tuturor depozitelor binare activate.

    --url
        Afișează lista adreselor URL de unde pot fi descărcate rpms-urile în loc de descărcare.

    --urlprotocol
        A se utiliza împreună cu --url. Filtrează adresele URL pentru protocoalele specificate: http, https, ftp sau file. Această opțiune poate fi utilizată de mai multe ori.

    --allmirrors
        A se utiliza împreună cu --url. Aceasta afișează adrese URL separate prin spațiu de la toate oglinzile disponibile pentru fiecare pachet.

EXEMPLE

    dnf5 download kernel-headers-0:5.17.0-300.fc36.i686
        Descarcă pachetul kernel-headers folosind formatul NEVRA complet.

    dnf5 download rpm rpm-devel
        Descarcă toate pachetele care au numele de rpm sau rpm-devel.

    dnf5 download maven-compiler-plugin --resolve --alldeps
        Descarcă pachetul maven-compiler-plugin cu toate dependențele sale.

    dnf5 download --destdir /tmp/pachetele-mele maven-compiler-plugin
        Descarcă pachetul maven-compiler-plugin în directorul /tmp/pachetele-mele.

    dnf5 download --url --urlprotocol http python
        Listează adresa URL http pentru descărcarea pachetului python.

    dnf5 download python --arch x86_64
        Descarcă python cu arhitectura x86_64.

    dnf5 download dnf5 --srpm
        Descarcă rpm-ul sursă dnf5.

    dnf5 download kernel --debuginfo
        Descarcă rpm-ul debuginfo kernel.

CONSULTAȚI ȘI
        dnf5-specs(7), Specificația modelelor <#specs-misc-ref-label>

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.